[kernel] dont collect some tracing instance files

Bug #1803735 reported by Eric Desrochers on 2018-11-16
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
sosreport (Ubuntu)
Status tracked in Disco
Trusty
Medium
Eric Desrochers
Xenial
Medium
Eric Desrochers
Bionic
Medium
Eric Desrochers
Cosmic
Medium
Eric Desrochers
Disco
Medium
Eric Desrochers

Bug Description

** Minor bug found in the current SRU for LP: #1775195 **

[Impact]

 * When kernel tracing event is in used, sosreport hang at the kernel plugin.

[Test Case]

 * Install rasdaemon

   $ apt-get install rasdaemon -y

 * Run sosreport from -proposed (See Bug #1775195)

   sosreport | 3.6-1ubuntu0.16.04.1 | xenial-proposed
   sosreport | 3.6-1ubuntu0.18.04.1 | bionic-proposed
   sosreport | 3.6-1ubuntu0.18.10.1 | cosmic-proposed

   Only kernel plugin is needed to trigger the hang :
   $ sosreport -o kernel

[Regression Potential]

 * Regression low.

The fix is simply appending files to the the kernel plugin into an existing list of files to be ignored in order to stop hanging when trying to collect them when tracing event is in used.

[Other Info]

 * Upstream fix:
   https://github.com/sosreport/sos/pull/1445/commits/d6379b5ba0f381ea8ec2403b9985100a946a5866

 * Origin :
   https://github.com/sosreport/sos/pull/1445

[Git bisect log]

git bisect start '--term-old' 'broken' '--term-new' 'fixed'
# fixed: [848b110f83697814c72ac93b36e786ff9dafc0fc] [powerpc] Add support to collect DLPAR and LPM related logs
git bisect fixed 848b110f83697814c72ac93b36e786ff9dafc0fc
# broken: [967c015518c1aa135aa6007329972f031ffe12fc] [plugins] Remove unnecessary sizelimits
git bisect broken 967c015518c1aa135aa6007329972f031ffe12fc
# broken: [e89c7f7744ac4b39956ef3122cdb1489d2676664] [multipath] use -ll for path checker and prio inclusion
git bisect broken e89c7f7744ac4b39956ef3122cdb1489d2676664
# broken: [0ea62d1ea57f41c1b75ccb83e69fdda386a7d280] [Plugin] fix exception raise in Plugin._copy_dir()
git bisect broken 0ea62d1ea57f41c1b75ccb83e69fdda386a7d280
# broken: [2e3e1479df19aca58d8bd9f80ef3d6e7a9641211] [utilities] use correct comparison-to-None style
git bisect broken 2e3e1479df19aca58d8bd9f80ef3d6e7a9641211
# broken: [e108d7c03834446f8dac66ad69f5eade4f2c5fce] [archive] fix and simplify directory destination rewriting
git bisect broken e108d7c03834446f8dac66ad69f5eade4f2c5fce
# broken: [f8ee9c4b87c6c3b8aa2bda3425f0e53499515363] [openstack_*] relax enabling of OSP RedHat plugins
git bisect broken f8ee9c4b87c6c3b8aa2bda3425f0e53499515363
# fixed: [d6379b5ba0f381ea8ec2403b9985100a946a5866] [kernel] dont collect some tracing instance files
git bisect fixed d6379b5ba0f381ea8ec2403b9985100a946a5866
# first fixed commit: [d6379b5ba0f381ea8ec2403b9985100a946a5866] [kernel] dont collect some tracing instance files

Eric Desrochers (slashd) on 2018-11-16
Changed in sosreport (Ubuntu Disco):
status: New → Fix Released
Changed in sosreport (Ubuntu Cosmic):
status: New → In Progress
Changed in sosreport (Ubuntu Bionic):
status: New → In Progress
Changed in sosreport (Ubuntu Xenial):
status: New → In Progress
Changed in sosreport (Ubuntu Disco):
assignee: nobody → Eric Desrochers (slashd)
Changed in sosreport (Ubuntu Cosmic):
assignee: nobody → Eric Desrochers (slashd)
Changed in sosreport (Ubuntu Bionic):
assignee: nobody → Eric Desrochers (slashd)
Changed in sosreport (Ubuntu Xenial):
assignee: nobody → Eric Desrochers (slashd)
tags: added: sts
description: updated
Changed in sosreport (Ubuntu Xenial):
importance: Undecided → Medium
Changed in sosreport (Ubuntu Bionic):
importance: Undecided → Medium
Changed in sosreport (Ubuntu Cosmic):
importance: Undecided → Medium
Changed in sosreport (Ubuntu Disco):
importance: Undecided → Medium
Eric Desrochers (slashd) on 2018-11-16
description: updated
description: updated
Eric Desrochers (slashd) on 2018-11-16
description: updated
Eric Desrochers (slashd) wrote :

Uploaded in C/B/X

Eric Desrochers (slashd) on 2018-11-16
description: updated
description: updated
Eric Desrochers (slashd) on 2018-11-16
tags: added: sos36

Hello Eric, or anyone else affected,

Accepted sosreport into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/sosreport/3.6-1ubuntu0.18.10.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in sosreport (Ubuntu Cosmic):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-cosmic
Łukasz Zemczak (sil2100) wrote :

Hello Eric, or anyone else affected,

Accepted sosreport into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/sosreport/3.6-1ubuntu0.18.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in sosreport (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed-bionic
Changed in sosreport (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed-xenial
Łukasz Zemczak (sil2100) wrote :

Hello Eric, or anyone else affected,

Accepted sosreport into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/sosreport/3.6-1ubuntu0.16.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Eric Desrochers (slashd) wrote :

[VERIFICATION BIONIC]

sosreport no longer hangs on kernel files collection w/ 3.6-1ubuntu0.18.04.2

$ sosreport -o kernel

sosreport (version 3.6)

This command will collect system configuration and diagnostic
information from this Ubuntu system. An archive containing the collected
information will be generated in /tmp/sos.vsiyc18_.

For more information on Ubuntu visit:

  http://www.ubuntu.com/

The generated archive may contain data considered sensitive and its
content should be reviewed by the originating organization before being
passed to any third party.

No changes will be made to system configuration.

Press ENTER to continue, or CTRL-C to quit.

Please enter the case id that you are generating this report for []:

 Setting up archive ...
 Setting up plugins ...
 Running plugins. Please wait ...

  Starting 1/1 kernel [Running: kernel]

  Finished running plugins
Creating compressed archive...

Your sosreport has been generated and saved in:
  /tmp/sosreport-sosb-20181122022627.tar.xz

The checksum is: 15e609f021c4bb411401a0e1b4e3a113

Please send this file to your support representative.

tags: added: verification-done-bionic
removed: verification-needed-bionic
Eric Desrochers (slashd) wrote :

[VERIFICATION COSMIC]

sosreport no longer hangs on kernel files collection w/ 3.6-1ubuntu0.18.10.2

# sosreport -o kernel

sosreport (version 3.6)

This command will collect system configuration and diagnostic
information from this Ubuntu system. An archive containing the collected
information will be generated in /tmp/sos.v2h27yvw.

For more information on Ubuntu visit:

  http://www.ubuntu.com/

The generated archive may contain data considered sensitive and its
content should be reviewed by the originating organization before being
passed to any third party.

No changes will be made to system configuration.

Press ENTER to continue, or CTRL-C to quit.

Please enter the case id that you are generating this report for []:

 Setting up archive ...
 Setting up plugins ...
 Running plugins. Please wait ...

  Starting 1/1 kernel [Running: kernel]
  Finished running plugins
Creating compressed archive...

Your sosreport has been generated and saved in:
  /tmp/sosreport-sosc-20181122023031.tar.xz

The checksum is: 37809b4030f6c7ec1b195226e99ea98b

Please send this file to your support representative.

tags: added: verification-done-cosmic
removed: verification-needed-cosmic
Eric Desrochers (slashd) wrote :

[VERIFICATION XENIAL]

sosreport no longer hangs on kernel files collection w/ 3.6-1ubuntu0.16.04.2

# sosreport -o kernel

sosreport (version 3.6)

This command will collect system configuration and diagnostic
information from this Ubuntu system. An archive containing the collected
information will be generated in /tmp/sos.mgm0knl9.

For more information on Ubuntu visit:

  http://www.ubuntu.com/

The generated archive may contain data considered sensitive and its
content should be reviewed by the originating organization before being
passed to any third party.

No changes will be made to system configuration.

Press ENTER to continue, or CTRL-C to quit.

Please enter the case id that you are generating this report for []:

 Setting up archive ...
 Setting up plugins ...
 Running plugins. Please wait ...

  Starting 1/1 kernel [Running: kernel]

  Finished running plugins
Creating compressed archive...

Your sosreport has been generated and saved in:
  /tmp/sosreport-sosx-20181122023408.tar.xz

The checksum is: 644b119ad6d0705cc0fe19f074cf523

tags: added: verification-done-xenial
removed: verification-needed-xenial

The verification of the Stable Release Update for sosreport has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sosreport - 3.6-1ubuntu0.18.04.2

---------------
sosreport (3.6-1ubuntu0.18.04.2) bionic; urgency=medium

  * d/p/dont-collect-some-tracing-instance-files.patch: (LP: #1803735)
    - Ignoring some kernel files as the copy of them make sosreport
      hangs in situation where kernel tracing events is in used.

sosreport (3.6-1ubuntu0.18.04.1) bionic; urgency=medium

  * New 3.6 upstream release. (LP: #1775195)
    major enhancements to core features and existing plugins:

    - better package manager version information
    - policy support for detecting package managed files
    - fixed exit status propagation
    - deprecated optparse replaced with argparse
    - simplified and improved SoSOptions interface
    - better error handling during interactive prompting
    - allow journal collection by identifier
    - allow collection of journal message catalogs
    - support for collecting binary file data
    - more fine-grained system plugins (date etc.)
    - policy defined report file name patterns
    - more human-readable report file names by default
    - increased default log size (25MiB vs. 10MiB)
    - support for forbidden path lists and forbid logging
    - support for enabling plugins by kernel module name
    - support for enabling plugins by executable name
    - support for collecting eBPF (bpftool) data
    - support for device information via add_udev_info()
    - support for detecting and reporting unpackaged binaries
    - optional collection of the RPMDB
    - improved archive compression level and multithreading
    - default log size increased from 10MiB to 25MiB
    - improved debug logging and ENOSPC handling
    - major updates to the IPA plugin
    - major updates to the Docker plugin
    - string decoding fixes
    - DNF and Yum module support
    - OpenShift 3.10 support
    - Python3 fixes

  Further release information and tarballs are available at:
    https://github.com/sosreport/sos/releases/tag/3.6

  * Debian specific modifications :
    - Omit Python2 only unittests
    - Avoid distutils in lstopo plugin

  * Former debian modifications now fixed upstream:
    - d/p/0002-reset-to-expected-variable-order-for-packagemanager.patch
    - d/p/0003-fix-name-containers-is-not-defined.patch
    - Fix-string-decoding-for-debug-log-output.patch

  * Cherry-pick upstream patch:
    - d/p/fix-string-substitution-method.patch:
      Fix plugin string substitution methods to fail.

 -- Eric Desrochers <email address hidden> Fri, 16 Nov 2018 11:11:27 -0500

Changed in sosreport (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sosreport - 3.6-1ubuntu0.16.04.2

---------------
sosreport (3.6-1ubuntu0.16.04.2) xenial; urgency=medium

  * d/p/dont-collect-some-tracing-instance-files.patch: (LP: #1803735)
    - Ignoring some kernel files as the copy of them make sosreport
      hangs in situation where kernel tracing events is in used.

sosreport (3.6-1ubuntu0.16.04.1) xenial; urgency=medium

  * New 3.6 upstream release. (LP: #1775195)
    major enhancements to core features and existing plugins:

    - better package manager version information
    - policy support for detecting package managed files
    - fixed exit status propagation
    - deprecated optparse replaced with argparse
    - simplified and improved SoSOptions interface
    - better error handling during interactive prompting
    - allow journal collection by identifier
    - allow collection of journal message catalogs
    - support for collecting binary file data
    - more fine-grained system plugins (date etc.)
    - policy defined report file name patterns
    - more human-readable report file names by default
    - increased default log size (25MiB vs. 10MiB)
    - support for forbidden path lists and forbid logging
    - support for enabling plugins by kernel module name
    - support for enabling plugins by executable name
    - support for collecting eBPF (bpftool) data
    - support for device information via add_udev_info()
    - support for detecting and reporting unpackaged binaries
    - optional collection of the RPMDB
    - improved archive compression level and multithreading
    - default log size increased from 10MiB to 25MiB
    - improved debug logging and ENOSPC handling
    - major updates to the IPA plugin
    - major updates to the Docker plugin
    - string decoding fixes
    - DNF and Yum module support
    - OpenShift 3.10 support
    - Python3 fixes

  Further release information and tarballs are available at:
    https://github.com/sosreport/sos/releases/tag/3.6

  * Debian specific modifications :
    - Omit Python2 only unittests
    - Avoid distutils in lstopo plugin

  * Former debian modifications now fixed upstream:
    - d/p/0002-reset-to-expected-variable-order-for-packagemanager.patch
    - d/p/0003-fix-name-containers-is-not-defined.patch
    - Fix-string-decoding-for-debug-log-output.patch

  * Cherry-pick upstream patch:
    - d/p/fix-string-substitution-method.patch:
      Fix plugin string substitution methods to fail.

 -- Eric Desrochers <email address hidden> Fri, 16 Nov 2018 11:13:16 -0500

Changed in sosreport (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sosreport - 3.6-1ubuntu0.18.10.2

---------------
sosreport (3.6-1ubuntu0.18.10.2) cosmic; urgency=medium

  * d/p/dont-collect-some-tracing-instance-files.patch: (LP: #1803735)
    - Ignoring some kernel files as the copy of them make sosreport
      hangs in situation where kernel tracing events is in used.

sosreport (3.6-1ubuntu0.18.10.1) cosmic; urgency=medium

  * New 3.6 upstream release. (LP: #1775195)
    major enhancements to core features and existing plugins:

    - better package manager version information
    - policy support for detecting package managed files
    - fixed exit status propagation
    - deprecated optparse replaced with argparse
    - simplified and improved SoSOptions interface
    - better error handling during interactive prompting
    - allow journal collection by identifier
    - allow collection of journal message catalogs
    - support for collecting binary file data
    - more fine-grained system plugins (date etc.)
    - policy defined report file name patterns
    - more human-readable report file names by default
    - increased default log size (25MiB vs. 10MiB)
    - support for forbidden path lists and forbid logging
    - support for enabling plugins by kernel module name
    - support for enabling plugins by executable name
    - support for collecting eBPF (bpftool) data
    - support for device information via add_udev_info()
    - support for detecting and reporting unpackaged binaries
    - optional collection of the RPMDB
    - improved archive compression level and multithreading
    - default log size increased from 10MiB to 25MiB
    - improved debug logging and ENOSPC handling
    - major updates to the IPA plugin
    - major updates to the Docker plugin
    - string decoding fixes
    - DNF and Yum module support
    - OpenShift 3.10 support
    - Python3 fixes

  Further release information and tarballs are available at:
    https://github.com/sosreport/sos/releases/tag/3.6

  * Debian specific modifications :
    - Omit Python2 only unittests
    - Avoid distutils in lstopo plugin

  * Former debian modifications now fixed upstream:
    - d/p/0002-reset-to-expected-variable-order-for-packagemanager.patch
    - d/p/0003-fix-name-containers-is-not-defined.patch
    - Fix-string-decoding-for-debug-log-output.patch

  * Cherry-pick upstream patch:
    - d/p/fix-string-substitution-method.patch:
      Fix plugin string substitution methods to fail.

 -- Eric Desrochers <email address hidden> Fri, 16 Nov 2018 10:52:59 -0500

Changed in sosreport (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Eric Desrochers (slashd) on 2018-12-18
Changed in sosreport (Ubuntu Trusty):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Eric Desrochers (slashd)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers